Subject: Re: Apache on Cygwin won't start: recreate_mmaps_after_fork_failed
From: Stipe Tolj <[email-masked]>
To: Fernando Cuenca <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Jun 2002 15:28:45 +0200

Fernando Cuenca wrote:
> 
> Hi,
> 
> I'm trying to use Apache 1.3.24 with Cygwin 1.3.10(0.51/3/2) on NT4 SP6
> (version number reported by Windows: 4.00.1381), using the precompiled
> binaries that come with the Cygwin distribution.
> 
> When I start the server using 'apachectl start', the following message is
> sent to the logs and stderr:
> 
> C:\cygwin\usr\sbin\httpd.exe: *** recreate_mmaps_after_fork_failed
>     812 [main] httpd 294 fixup_mmaps_after_fork: base address fails to
> match req
> uested address 0x930000
> 
> I also tried the binary package downloadable from at
> http://apache.dev.wapme.net, as instructed in
> http://httpd.apache.org/docs/cygwin.html. I didn't work either, generating
> a similar error message.
> 
> Any idea about how to solve this issue?

Hmm, never got that kind of error messages reported by users.

It seems something is messed up with your Cygwin installed DLL maybe?!
Can anyone of the core cygwin1.dll folks comment on here, please?!

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/